| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
Cache
Cache.Storage
Cache.Storage.Base

# Method Cache.Storage.Base()->delete()

Method delete

  `mixed delete(string key, void|int(0..1) hard)`

Description

  Delete the entry specified by key from the cache (if present).

  If hard is `1`, some backends may force a destruct() on the deleted value.

  Dependants (if present) are automatically deleted.

Returns

  Returns the deleted entry.